Skip to main content
GET
/
users
/
{uid}
/
blockedusers
List Blocked Users
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/blockedusers \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "cometchat-uid-6",
      "name": "Barry Allen",
      "link": "https://cometchat.com",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
      "metadata": {
        "rawMetadata": "{'gender':'Male'}"
      },
      "status": "offline",
      "role": "manager",
      "blockedByMe": true,
      "blockedByMeAt": 1638346853,
      "blockedAt": 1638346853,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "cometchat-uid-3_user_cometchat-uid-4"
    },
    {
      "uid": "cometchat-uid-2",
      "name": "George Alan",
      "link": "https://cometchat.com",
      "avatar": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
      "metadata": {
        "rawMetadata": "{'gender':'Male'}"
      },
      "status": "offline",
      "role": "manager",
      "blockedByMe": true,
      "blockedByMeAt": 1638346853,
      "blockedAt": 1638346853,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "cometchat-uid-1_user_cometchat-uid-2"
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    },
    "cursor": {
      "updatedAt": 1638354799,
      "affix": "prepend"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Query Parameters

perPage
number
default:100

Number of blocked users to return per page.

page
number
default:1

Page number for paginated results.

Response

200 - application/json

Blocked user

data
object[]
meta
object